Drupal

  • warning: preg_replace() [function.preg-replace]: Compilation failed: disallowed Unicode code point (>= 0xd800 && <= 0xdfff) at offset 1816 in /home/u233797337/public_html/modules/search/search.module on line 333.
  • warning: preg_replace() [function.preg-replace]: Compilation failed: disallowed Unicode code point (>= 0xd800 && <= 0xdfff) at offset 1816 in /home/u233797337/public_html/modules/search/search.module on line 333.
  • warning: preg_replace() [function.preg-replace]: Compilation failed: disallowed Unicode code point (>= 0xd800 && <= 0xdfff) at offset 1816 in /home/u233797337/public_html/modules/search/search.module on line 333.
  • You must include at least one positive keyword with 3 characters or more.

Drupal adalah Sebuah Content Management System (CMS) ada pula yang memberikan istilah Content Management Framework (CMF). Untuk menyamakan persepsi kita akan menggunakan istilah CMS Drupal sobat.

Drupal dikembangkan dan didistribusikan dibawah lisensi GNU General Publik sobat belajar online, itu artinya cms drupal bebas di distribusikan dan sobat bisa melihat source dari cms drupal. Sehingga apabila sobat paham akan bahasa php bisa mengoprek sendiri core drupal tanpa takut melanggar lisensi.

Ketika sobat download versi tertentu, di dalamnya sudah ada modul-modul dan theme-theme standar versi tersebut yang disebut modul inti drupal dan theme inti drupal.

Walaupun drupal menawarkan antarmuka yang wow dan mengagumkan, namun untuk melakukannya dapat dilakukan dengan mudah tanpa perlu memiliki skil yang mumpuni dalam pemrograman.

CMS Drupal juga bisa diinstal dan berjalan pada berbagai platform web server yang memungkinkan untuk menjalankan PHP seperti Apache, IIS, Lighttpd Hiawatha, Cherokee or Nginx. 

Selain itu juga bisa menggunakan dukungan berbagai database seperti MySQL, MongoDB, MariaDB, PostgreSQL, SQLite/Microsoft SQL Server untuk menampilkan konten website dan mengaturnya.

Sebagai tambahan apabila sobat menginstal drupal 6 memerlukan PHP 4.4.0 atau lebih tinggi. Apabila sobat menginstal drupal, maka sobat memerlukan PHP 5.2.5 atau lebih tinggi.

Bagaimana cara mengetahui versi php yang digunakan oleh hosting saya ? Kalau sobat masih awam terhadap layanan hosting, silahkan tanyakan ke CS layanan hosting sobat apakah mendukung untuk menginstal drupal yang sobat inginkan.